<?php
/**
 * The template for displaying Search Results pages.
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<div id="primary" <?php saraswati_content_class(); ?>>
		<main id="main" <?php saraswati_main_class(); ?>>
			<?php
			/**
			 * saraswati_before_main_content hook.
			 *
			 */
			do_action( 'saraswati_before_main_content' );

			if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="page-title">
						<?php
						printf( // WPCS: XSS ok.
							/* translators: 1: Search query name */
							__( 'Search Results for: %s', 'saraswati' ),
							'<span>' . get_search_query() . '</span>'
						);
						?>
					</h1>
				</header><!-- .page-header -->

				<?php while ( have_posts() ) : the_post();

					get_template_part( 'content', 'search' );

				endwhile;

				saraswati_content_nav( 'nav-below' );

			else :

				get_template_part( 'no-results', 'search' );

			endif;

			/**
			 * saraswati_after_main_content hook.
			 *
			 */
			do_action( 'saraswati_after_main_content' );
			?>
		</main><!-- #main -->
	</div><!-- #primary -->

	<?php
	/**
	 * saraswati_after_primary_content_area hook.
	 *
	 */
	 do_action( 'saraswati_after_primary_content_area' );

	 saraswati_construct_sidebars();

get_footer();
